From mboxrd@z Thu Jan  1 00:00:00 1970
From: Klemens Nanni <klemens@posteo.de>
To: list+catgirl@causal.agency
Cc: Klemens Nanni <klemens@posteo.de>
Subject: [PATCH] manual: Disambiguate -H/hash wording wrt. IRC colors in general
Date: Sun, 23 May 2021 17:26:20 +0000
Message-Id: <20210523172620.54723-3-klemens@posteo.de>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

"and the maximum IRC color value used" just rephrases the first part,
i.e. initial values and upper bounds for colors produced by the hash
function;  however, I read that as >>init/bound colors for nick/channel<<
and >>maximum IRC colors in general<<.

The latter is not covered at all, hence `-H/hash' has no effect on color
codes in general, whether they are produced with C-z bindings or sent
by other users for example.
---
 catgirl.1 | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/catgirl.1 b/catgirl.1
index c0877a9..7f8a445 100644
--- a/catgirl.1
+++ b/catgirl.1
@@ -95,10 +95,8 @@ The default is the first available of
 .Xr xsel 1 .
 .
 .It Fl H Ar init,bound , Cm hash = Ar init,bound
-Set the initial value of
-the nick and channel
-color hash function
-and the maximum IRC color value used.
+Set both the initial and maximum value of
+nick and channel colors.
 The default is 0,75.
 To use only colors from
 the 16-color terminal set,
-- 
2.31.1


From mboxrd@z Thu Jan  1 00:00:00 1970
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.6\))
Subject: Re: [PATCH] manual: Disambiguate -H/hash wording wrt. IRC colors in
 general
From: june <june@causal.agency>
In-Reply-To: <20210523172620.54723-3-klemens@posteo.de>
Date: Tue, 25 May 2021 16:49:50 -0400
Cc: list+catgirl@causal.agency
Content-Transfer-Encoding: quoted-printable
Message-Id: <7EDAA1C5-B496-4B3E-8C55-D3A019133CC3@causal.agency>
References: <20210523172620.54723-3-klemens@posteo.de>
To: Klemens Nanni <klemens@posteo.de>

I=E2=80=99ve attempted my own clarification.=

From mboxrd@z Thu Jan  1 00:00:00 1970
Date: Tue, 25 May 2021 21:10:42 +0000
From: Klemens Nanni <klemens@posteo.de>
To: june <june@causal.agency>
Cc: list+catgirl@causal.agency
Subject: Re: [PATCH] manual: Disambiguate -H/hash wording wrt. IRC colors in
 general
Message-ID: <YK1n0lSDWPZh/umy@eru>
References: <20210523172620.54723-3-klemens@posteo.de>
 <7EDAA1C5-B496-4B3E-8C55-D3A019133CC3@causal.agency>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <7EDAA1C5-B496-4B3E-8C55-D3A019133CC3@causal.agency>

On Tue, May 25, 2021 at 04:49:50PM -0400, june wrote:
> I’ve attempted my own clarification.
I prefer yours, thanks.

